#!/usr/bin/python3
from Preproc import *
from Algorithms import *
    
fn = sys.argv[1]        #expects a filename for the output file
paths = sys.argv[2:]    #path to .xes file(s) that the algorithm should be applied on

directory = os.path.dirname("results/")       #creates a directory to which the results are saved
if not os.path.exists(directory):
    os.makedirs(directory)

algos = Algorithms(fn,paths)

try:
  algos.algo1()
except RuntimeError as err:
  print("RuntimeError: {0} ".format(err)) 
try:
  algos.algo2()
except RuntimeError as err:
  print("RuntimeError: {0} ".format(err)) 
try:
  algos.algo3()
except RuntimeError as err:
  print("RuntimeError: {0} ".format(err)) 
try:
  algos.algo4()
except RuntimeError as err:
  print("RuntimeError: {0} ".format(err)) 

